autofs-5.0.9 .9 .9 .9 .9 .9 .9 .9 .9 - fix gcc5 complaints

From: Ian Kent <raven@themaw.net>

gcc5 is not happy with the way dump_core() and master_get_logopt()
are declared inline, remove the inline and let the compiler decide.
---
 CHANGELOG           |    1 +
 daemon/spawn.c      |    2 +-
 include/automount.h |    2 +-
 include/master.h    |    2 +-
 lib/master.c        |    2 +-
 5 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 71a3f84..65c4a7f 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -32,6 +32,7 @@
 - fix showmount search in auto.net.
 - remove obsolete comment in auto.net.
 - fix macro usage in lookup_program.c.
+- fix gcc5 complaints.
 
 28/03/2014 autofs-5.0.9
 =======================
diff --git a/daemon/spawn.c b/daemon/spawn.c
index a6c8c34..621e685 100644
--- a/daemon/spawn.c
+++ b/daemon/spawn.c
@@ -36,7 +36,7 @@ static pthread_mutex_t spawn_mutex = PTHREAD_MUTEX_INITIALIZER;
 
 #define MTAB_LOCK_RETRIES	3
 
-inline void dump_core(void)
+void dump_core(void)
 {
 	sigset_t segv;
 
diff --git a/include/automount.h b/include/automount.h
index 1aabfa4..f000f5e 100644
--- a/include/automount.h
+++ b/include/automount.h
@@ -221,7 +221,7 @@ const char **copy_argv(int argc, const char **argv);
 int compare_argv(int argc1, const char **argv1, int argc2, const char **argv2);
 int free_argv(int argc, const char **argv);
 
-inline void dump_core(void);
+void dump_core(void);
 int aquire_lock(void);
 void release_lock(void);
 int spawnl(unsigned logopt, const char *prog, ...);
diff --git a/include/master.h b/include/master.h
index e77d5ba..3e01f93 100644
--- a/include/master.h
+++ b/include/master.h
@@ -114,7 +114,7 @@ void master_notify_state_change(struct master *, int);
 int master_mount_mounts(struct master *, time_t, int);
 int dump_map(struct master *, const char *, const char *);
 int master_show_mounts(struct master *);
-extern inline unsigned int master_get_logopt(void);
+unsigned int master_get_logopt(void);
 int master_list_empty(struct master *);
 int master_done(struct master *);
 int master_kill(struct master *);
diff --git a/lib/master.c b/lib/master.c
index 32bc868..db238a8 100644
--- a/lib/master.c
+++ b/lib/master.c
@@ -1658,7 +1658,7 @@ int master_done(struct master *master)
 	return res;
 }
 
-inline unsigned int master_get_logopt(void)
+unsigned int master_get_logopt(void)
 {
 	return master_list ? master_list->logopt : LOGOPT_NONE;
 }
